using System;
using System.Configuration;

namespace DesignPatterns.Decorator.CentralPerk
{
	public class Mocha : CondimentDecorator
	{
		Beverage beverage;
		
		public Mocha(Beverage beverage)
		{
			this.beverage = beverage;
		}

		public override string GetDescription()
		{
			return beverage.GetDescription() + ", Mocha";
		}

		public override double Cost()
		{
			return GetSize(base.Size);
		}

		private double GetSize(BeverageSize size)
		{
			switch(size)
			{
				case BeverageSize.TALL:
                    return .20 + beverage.Cost();
				case BeverageSize.GRANDE:
                    return .25 + beverage.Cost();
				case BeverageSize.VENTI:
                    return .30 + beverage.Cost();
				default:
					return .20;
			}
		}

	}
}
